import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.literal(true).optional(),
  claimId: z.literal(true).optional(),
  paymentId: z.literal(true).optional(),
  allowedAmount: z.literal(true).optional(),
  totalBilled: z.literal(true).optional(),
  totalPaid: z.literal(true).optional(),
  totalAdjusted: z.literal(true).optional(),
  totalDue: z.literal(true).optional()
}).strict();
export const ServiceLineAvgAggregateInputObjectSchema: z.ZodType<Prisma.ServiceLineAvgAggregateInputType> = makeSchema() as unknown as z.ZodType<Prisma.ServiceLineAvgAggregateInputType>;
export const ServiceLineAvgAggregateInputObjectZodSchema = makeSchema();
